【活用ガイド】

[English]

JVNDB-2014-004316

Safari におけるアプリケーションキャッシュの取扱いに関する問題

概要

Safari には、アプリケーションキャッシュの取扱いに関する問題が存在し、プライベートブラウジング機能が無効になっている際にキャッシュしたコンテンツが、プライベートブラウジング機能を有効にした後でも使用されてしまう問題が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: ネットエージェント株式会社 長谷川陽介 氏

CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし

影響を受けるシステム


アップル
  • Safari 6.2 未満 (OS X Mavericks v10.9.5)
  • Safari 6.2 未満 (OS X Mountain Lion v10.8.5)
  • Safari 7.1 未満 (OS X Mavericks v10.9.5)
  • Safari 7.1 未満 (OS X Mountain Lion v10.8.5)
  • iOS 8 未満 (iPad 2 以降)
  • iOS 8 未満 (iPhone 4s 以降)
  • iOS 8 未満 (iPod touch 第 5 世代以降)

想定される影響

ウェブサイトに対し、プライベートブラウジング機能が無効にした状態でアクセスした後に、プライベートブラウジング機能を有効にして再度アクセスした際に、同一のユーザがアクセスしたことをウェブサイト側から識別される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに最新版にアップデートしてください。
ベンダ情報

アップル
  • Apple Security Updates : HT6441
  • Apple Security Updates : HT6440
  • Apple セキュリティアップデート : HT6441
  • Apple セキュリティアップデート : HT6440
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 設計上の問題(CWE-DesignError) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2014-4409
参考情報

  1. JVN : JVNVU#93868849
  2. JVN : JVN#45442753
  3. National Vulnerability Database (NVD) : CVE-2014-4409
  4. 関連文書 : APPLE-SA-2014-09-17-1 iOS 8
更新履歴

[2014年09月22日]
  掲載
[2014年09月24日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:アップル (HT6440) を追加
[2014年09月25日]
  JVN#45442753 にあわせ、タイトル、概要、CVSSによる深刻度、影響を受けるシステム、想定される影響、対策、参考情報、CWE を更新